<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_44cd79b57c4d" . "0eaf39cc6bfc6" . "8227f9b" => base64_decode("Li4vcHVibGlzaC9jbGFzc2VzL3NpdGVtYXBfcGtnLnBoc" . "A=="), "_2b59ce99" . "81d316b9c" . "770f230e6" . "e07752" => base64_decode("ZGF" . "pbH" . "k="), "_20660241cf71f38b3bde8a92d" . "a19c2ab" => base64_decode("U0VMRUNUIERJU1RJTkNUIHBtLmlkIEZST00gcHVibGlzaF9tZW51IHBtLCBwdWJsaXNoX21lbnVub2RlIHBtbiBXSEVSRSBwbW4ucGFnZV9pZD1pbn" . "Q6aWQgQU5EIHBtLmlkPXBtbi5tZW51X2lk"));
use Claromentis\Menu\MenuNode;
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_44cd79b57c4d0eaf39cc6bfc68" . "227f9b"];
class PublishSitemap
{
    
    
    
    
    protected $sitemap;
    public function __construct($_5d9dc4535307a25ed5ea3f94ec97c936)
    {
        $this->sitemap = new GoogleSitemap($_5d9dc4535307a25ed5ea3f94ec97c936);
    }
    
    
    
    
    
    
    
    public function CreateSitemap($_fd62bc4eaaf7d58dea9bada3e30443b9)
    {
        foreach ((array) $_fd62bc4eaaf7d58dea9bada3e30443b9 as $_9b504b5a55d5bda79f82bb3b204a1594) {
            if ($_5c59c380aa5c5e5f18f039ad7757fe97 = $this->CreateSitemapNodeByMenuNodeId($_9b504b5a55d5bda79f82bb3b204a1594)) {
                $this->sitemap->AppendNode($_5c59c380aa5c5e5f18f039ad7757fe97);
            }
        }
        return $this->sitemap;
    }
    
    
    
    
    
    
    
    protected function CreateSitemapNodeByMenuNodeId($id)
    {
        $item = new MenuNode();
        $item->Load($id);
        if ($item->type == \Claromentis\Menu\NodeType::FOLDER) {
            return false;
        }
        return new GoogleSitemapNode($item->GetURL(), new Date(PublishPage::GetLastModifiedDateById($item->page_id)), $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_2b59ce9981d316b9c770f23" . "0e6e07752"], 1);
    }
    
    
    
    
    
    
    
    
    public function FindMenuWithSitemapByPageId($id)
    {
        $db = \Claromentis\Core\Services::I()->GetDb();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_20660241cf71f38b3bde8a92da" . "19c2ab"], $id);
        if (!$_189840d11056515e52402d1412a0b6e4->hasData()) {
            return false;
        }
        list($menu_id) = $_189840d11056515e52402d1412a0b6e4->fetchRow();
        return $menu_id;
    }
}